Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

Delete a cluster

Removes a cluster from the organization.

DELETE/cluster/{cluster_id}
Authorization
AuthorizationBearer token (JWT) · headerrequired

JWT token passed in the Authorization header using the Bearer <token> format.

Path parameters
cluster_iduuidrequired

The unique identifier of the cluster

Responses
204

Cluster deleted successfully

default

Error

codeinteger<int32>required
messagestringrequired
reasonstring

Optional stable machine-readable reason for programmatic error handling

Request
curl -X DELETE 'https://api.kapten.io/cluster/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
Cluster deleted successfully

Was this page helpful?